Bug 172733 - [new port] x11-themes/kde4-style-oxyen-transparent
Summary: [new port] x11-themes/kde4-style-oxyen-transparent
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David Naylor
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-15 21:50 UTC by David Naylor
Modified: 2013-02-28 16:49 UTC (History)
0 users

See Also:


Attachments
file.shar (3.15 KB, text/plain)
2012-10-15 21:50 UTC, David Naylor
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor 2012-10-15 21:50:00 UTC
Oxygen style and decoration with support for transparency.

This is an official branch of the KDE oxygen style. It is kept in sync with the
official oxygen style, and adds support of full transparency on the windows.

The style and the decoration are named "Oxygen Transparent" and appear as such
in KDE's system settings (in both the applications and workspace appearance
pages).

A configuration helper application is included with the style that allows one to
configure both the style and the decoration in the same window. It is called
oxygen-transparent-settings.

WWW: http://kde-look.org/content/show.php?content=127752

Fix: Patch attached with submission follows:
Comment 1 Jason E. Hale freebsd_committer 2012-10-16 06:49:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 Jason E. Hale freebsd_committer 2012-10-16 12:59:33 UTC
It think this will have to wait until KDE 4.9.x is in the ports tree.

-- Found automoc4: /usr/local/bin/automoc4
CMake Error at 
/usr/local/kde4/share/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:198 
(MESSAGE):
  Could NOT find KDE4Workspace (missing: KDE4Workspace_CONFIG) (Required is
  at least version "4.8.40")
Call Stack (most recent call first):
  /usr/local/kde4/share/apps/cmake/modules/FindKDE4Workspace.cmake:70 
(find_package_handle_standard_args)
  CMakeLists.txt:7 (find_package)


-- Configuring incomplete, errors occurred!
*** Error code 1
Comment 3 David Naylor freebsd_committer 2013-02-26 14:57:50 UTC
Responsible Changed
From-To: jhale->dbn

As I am the originator, take back my PR
Comment 4 dfilter service freebsd_committer 2013-02-28 16:32:13 UTC
Author: dbn
Date: Thu Feb 28 16:31:58 2013
New Revision: 313106
URL: http://svnweb.freebsd.org/changeset/ports/313106

Log:
  Add x11-themes/kde4-style-oxygen-transparent.
  
  Oxygen style and decoration with support for transparency.
  
  This is an official branch of the KDE oxygen style. It is kept in sync with the
  official oxygen style, and adds support of full transparency on the windows.
  
  The style and the decoration are named "Oxygen Transparent" and appear as such
  in KDE's system settings (in both the applications and workspace appearance
  pages).
  
  A configuration helper application is included with the style that allows one to
  configure both the style and the decoration in the same window. It is called
  oxygen-transparent-settings.
  
  WWW: http://kde-look.org/content/show.php?content=127752
  
  PR:		172733
  Approved by:	bdrewery (mentor)

Added:
  head/x11-themes/kde4-style-oxygen-transparent/
  head/x11-themes/kde4-style-oxygen-transparent/Makefile   (contents, props changed)
  head/x11-themes/kde4-style-oxygen-transparent/distinfo   (contents, props changed)
  head/x11-themes/kde4-style-oxygen-transparent/pkg-descr   (contents, props changed)
  head/x11-themes/kde4-style-oxygen-transparent/pkg-plist   (contents, props changed)
Modified:
  head/x11-themes/Makefile

Modified: head/x11-themes/Makefile
==============================================================================
--- head/x11-themes/Makefile	Thu Feb 28 16:31:12 2013	(r313105)
+++ head/x11-themes/Makefile	Thu Feb 28 16:31:58 2013	(r313106)
@@ -135,6 +135,7 @@
     SUBDIR += kde4-icons-oxygen
     SUBDIR += kde4-style-bespin
     SUBDIR += kde4-style-nitrogen
+    SUBDIR += kde4-style-oxygen-transparent
     SUBDIR += kde4-style-polyester
     SUBDIR += kde4-style-skulpture
     SUBDIR += kde4-wallpapers

Added: head/x11-themes/kde4-style-oxygen-transparent/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-themes/kde4-style-oxygen-transparent/Makefile	Thu Feb 28 16:31:58 2013	(r313106)
@@ -0,0 +1,18 @@
+# Created by: David Naylor <dbn@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	oxygen-transparent
+PORTVERSION=	2012.12.11
+CATEGORIES=	x11-themes kde
+MASTER_SITES=	LOCAL/dbn/${PORTNAME}
+PKGNAMEPREFIX=	kde4-style-
+
+MAINTAINER=	dbn@FreeBSD.org
+COMMENT=	KDE oxygen style with transparency
+
+USE_KDE4=	kdelibs kdehier kdeprefix workspace automoc4
+USE_QT4=	corelib qmake_build moc_build rcc_build uic_build
+USE_CMAKE=	yes
+USE_XZ=		yes
+
+.include <bsd.port.mk>

Added: head/x11-themes/kde4-style-oxygen-transparent/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-themes/kde4-style-oxygen-transparent/distinfo	Thu Feb 28 16:31:58 2013	(r313106)
@@ -0,0 +1,2 @@
+SHA256 (oxygen-transparent-2012.12.11.tar.xz) = 60540f02e8c054ce0917d76d9ad2af6595857aa5739a87bcd9d2b3eb10248eab
+SIZE (oxygen-transparent-2012.12.11.tar.xz) = 177076

Added: head/x11-themes/kde4-style-oxygen-transparent/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-themes/kde4-style-oxygen-transparent/pkg-descr	Thu Feb 28 16:31:58 2013	(r313106)
@@ -0,0 +1,14 @@
+Oxygen style and decoration with support for transparency.
+
+This is an official branch of the KDE oxygen style. It is kept in sync with the
+official oxygen style, and adds support of full transparency on the windows.
+
+The style and the decoration are named "Oxygen Transparent" and appear as such
+in KDE's system settings (in both the applications and workspace appearance
+pages).
+
+A configuration helper application is included with the style that allows one to
+configure both the style and the decoration in the same window. It is called
+oxygen-transparent-settings.
+
+WWW: http://kde-look.org/content/show.php?content=127752

Added: head/x11-themes/kde4-style-oxygen-transparent/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-themes/kde4-style-oxygen-transparent/pkg-plist	Thu Feb 28 16:31:58 2013	(r313106)
@@ -0,0 +1,13 @@
+bin/oxygen-transparent-settings
+lib/kde4/kstyle_oxygen_transparent_config.so
+lib/kde4/kwin3_oxygen_transparent.so
+lib/kde4/kwin_oxygen_transparent_config.so
+lib/kde4/plugins/styles/oxygen_transparent.so
+lib/liboxygentransparentstyle.so
+lib/liboxygentransparentstyle.so.5
+lib/liboxygentransparentstyle.so.5.0.1
+lib/liboxygentransparentstyleconfig.so
+lib/liboxygentransparentstyleconfig.so.5
+lib/liboxygentransparentstyleconfig.so.5.0.1
+share/apps/kstyle/themes/oxygen_transparent.themerc
+share/apps/kwin/oxygentransparentclient.desktop
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 David Naylor freebsd_committer 2013-02-28 16:49:10 UTC
State Changed
From-To: open->closed

Committed, thanks!